<button (click)='this.dataService.getGlobalData()' class="{{this.dataService.themeColor.light}}">Reset</button>

<select (change)='this.dataService.getCountryData($event)' style="height:  36px;">
    <option selected>Select Country</option>
    <option *ngFor='let item of this.dataService.data' value='{{item["country"]}}'>{{item["country"]}}</option>
</select>

<select (change)='this.dataService.setThemeColor($event)' style="height:  36px; margin-left: 20px;">
    <option value="grey" selected>Select Theme</option>
    <option value="red">Red</option>
    <option value="green">Green</option>
    <option value="blue">Blue</option>
    <option value="indigo">Indigo</option>
    <option value="purple">Purple</option>
    <option value="pink">Pink</option>
</select>

<div>
    <app-data *ngFor='let item of this.dataService.cardData' [data]='item'></app-data>
</div>

<app-data-table></app-data-table>